Last-Modified: Wed, 05 Feb 2025 16:46:58 GMT
Expires: Sat, 03 Feb 2035 16:46:58 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>guix - Wojtek's customized Guix</title>
<meta name='generator' content='cgit v1.2.3'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/cgit.css'/>
<link rel='stylesheet' type='text/css' href='/cgit-static/better-cgit-markdown-heading-color.css'/>
<link rel='shortcut icon' href='/cgit-static/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='https://git.koszko.org/guix/atom/gnu/packages/gcal.scm?h=koszko' type='application/atom+xml'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='https://git.koszko.org/cgit-static/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/guix/'>guix</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='a50d6099dda3453d72b25faec435d00adf14c553'/><select name='h' onchange='this.form.submit();'>
<option value='koszko' selected='selected'>koszko</option>
<option value='koszko-scripts'>koszko-scripts</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Wojtek's customized Guix</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/guix/about/'>about</a><a href='/guix/'>summary</a><a href='/guix/refs/?id=a50d6099dda3453d72b25faec435d00adf14c553'>refs</a><a href='/guix/log/gnu/packages/gcal.scm'>log</a><a href='/guix/tree/gnu/packages/gcal.scm?id=a50d6099dda3453d72b25faec435d00adf14c553'>tree</a><a href='/guix/commit/gnu/packages/gcal.scm?id=a50d6099dda3453d72b25faec435d00adf14c553'>commit</a><a class='active' href='/guix/diff/gnu/packages/gcal.scm?id=a50d6099dda3453d72b25faec435d00adf14c553'>diff</a></td><td class='form'><form class='right' method='get' action='/guix/log/gnu/packages/gcal.scm'>
<input type='hidden' name='id' value='a50d6099dda3453d72b25faec435d00adf14c553'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/guix/diff/?id=a50d6099dda3453d72b25faec435d00adf14c553'>root</a>/<a href='/guix/diff/gnu?id=a50d6099dda3453d72b25faec435d00adf14c553'>gnu</a>/<a href='/guix/diff/gnu/packages?id=a50d6099dda3453d72b25faec435d00adf14c553'>packages</a>/<a href='/guix/diff/gnu/packages/gcal.scm?id=a50d6099dda3453d72b25faec435d00adf14c553'>gcal.scm</a></div><div class='content'><div class='cgit-panel'><b>diff options</b><form method='get'><input type='hidden' name='id' value='a50d6099dda3453d72b25faec435d00adf14c553'/><table><tr><td colspan='2'/></tr><tr><td class='label'>context:</td><td class='ctrl'><select name='context' onchange='this.form.submit();'><option value='1'>1</option><option value='2'>2</option><option value='3' selected='selected'>3</option><option value='4'>4</option><option value='5'>5</option><option value='6'>6</option><option value='7'>7</option><option value='8'>8</option><option value='9'>9</option><option value='10'>10</option><option value='15'>15</option><option value='20'>20</option><option value='25'>25</option><option value='30'>30</option><option value='35'>35</option><option value='40'>40</option></select></td></tr><tr><td class='label'>space:</td><td class='ctrl'><select name='ignorews' onchange='this.form.submit();'><option value='0' selected='selected'>include</option><option value='1'>ignore</option></select></td></tr><tr><td class='label'>mode:</td><td class='ctrl'><select name='dt' onchange='this.form.submit();'><option value='0' selected='selected'>unified</option><option value='1'>ssdiff</option><option value='2'>stat only</option></select></td></tr><tr><td/><td class='ctrl'><noscript><input type='submit' value='reload'/></noscript></td></tr></table></form></div><div class='diffstat-header'><a href='/guix/diff/?id=a50d6099dda3453d72b25faec435d00adf14c553'>Diffstat</a> (limited to 'gnu/packages/gcal.scm')</div><table summary='diffstat' class='diffstat'></table><div class='diffstat-summary'>0 files changed, 0 insertions, 0 deletions</div><table summary='diff' class='diff'><tr><td></td></tr></table></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
ges/bootstrap/mips64el-linux/guile-2.0.9.tar.xz): Remove.
* build-aux/test-env.in: Add "guix download" invocation when
gnu/packages/bootstrap/guile* exists.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2016-06-26 23:11:07 +0200'>2016-06-26</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=9dd674db017dbdc451cfd35da2dc3ce08db0726a'>daemon: Rename 'NIX_CONF_DIR' to 'GUIX_CONFIGURATION_DIRECTORY'.</a><span class='msg-avail'>...<span class='msg-tooltip'>Partly fixes &lt;http://bugs.gnu.org/22459&gt;.
Reported by Jeff Mickey &lt;j@codemac.net&gt; and David Craven &lt;david@craven.ch&gt;.

* nix/libstore/globals.cc (Settings::processEnvironment()): Change
'NIX_CONF_DIR' to 'GUIX_CONFIGURATION_DIRECTORY'.
* nix/local.mk (libstore_a_CPPFLAGS): Likewise.
* guix/config.scm.in (%config-directory): Likewise.
* build-aux/test-env.in: Likewise.
* gnu/packages/patches/hydra-automake-1.15.patch: Likewise.

Signed-off-by: Ludovic Courtès &lt;ludo@gnu.org&gt;
</span></span></td><td>David Craven</td></tr>
<tr><td><span title='2016-05-04 23:35:55 +0200'>2016-05-04</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=4d9ed58498e3acb5bad1c5b862853f72bd3312aa'>build: Preserve stderr for shell tests.</a><span class='msg-avail'>...<span class='msg-tooltip'>Fixes a regression introduced in
a9edb211e733b8b34e67ec3b4450567e9376986f where the .log files of the .sh
tests would not contain stderr.

* build-aux/test-env.in: Redirect stderr only when --quiet-stderr is
passed.
* Makefile.am (SCM_LOG_DRIVER): Add --quiet-stderr.
</span></span></td><td>Ludovic Courtès</td></tr>
<tr><td><span title='2016-04-15 00:59:07 +0200'>2016-04-15</span></td><td><a href='/guix/commit/build-aux/test-env.in?id=a1097caa6a30f45661ee510c59bf0e01972cebba'>build: Move environment '.in' scripts to 'build-aux' directory.</a><span class='msg-avail'>...<span class='msg-tooltip'>* pre-inst-env.in: Move to ...
* build-aux/pre-inst-env.in: ... here.
* test-env.in: Move to ...
* build-aux/test-env.in: ... here.
* configure.ac (AC_CONFIG_FILES): Adapt to this.  Keep the generated
scripts in their current location which is $(top_builddir).
</span></span></td><td>Mathieu Lirzin</td></tr>
</table><ul class='pager'></ul></div> <!-- class=content -->
                         <div class=footer>generated by
                             <a href="https://git.zx2c4.com/cgit/about/">
                                 cgit
                             </a>
                         </div>
                        </div> <!-- id=cgit -->
</body>
</html>
